#ifndef CINSTPROCESSTEST_H
#define CINSTPROCESSTEST_H

/* @file Tests for the cinst process
 * @brief Tests for the cinst process as well as the UI side
 */

#include <QObject>
#include <QProcess>
#include <QTest>
#include "certificatelist.h"

class CinstProcessTest: public QObject
{
    Q_OBJECT

private:
    QProcess* startCinstProcess();
    CertificateList validList;
    CertificateList otherList;
    CertificateList invalidList;

private Q_SLOTS:
    void initTestCase();
    void testValidInput();
    void testInvalidInstruction();
    void testNoInput();
    void testNoList();
    void testGarbageInput();
    void testNoInstructions();
    void testUninstall();
};
#endif


